## org.apache.tools.ant
Class ExitStatusException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.tools.ant.BuildException
                              |
                              +--org.apache.tools.ant.ExitStatusException

All Implemented Interfaces:
  java.io.Serializable

public class ExitStatusException
extends BuildException

BuildException + exit status.

Since:
  Ant 1.7
See Also:
  Serialized Form

Constructor Summary
`ExitStatusException(int status)` Constructs an `ExitStatusException`.
`ExitStatusException(java.lang.String msg, int status)` Constructs an `ExitStatusException`.

Method Summary
`int` `getStatus()` Get the status code.

Methods inherited from class org.apache.tools.ant.BuildException
`getCause, getException, getLocation, printStackTrace, printStackTrace, printStackTrace, setLocation, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExitStatusException

    public ExitStatusException(int status)

  Constructs an `ExitStatusException`.

Parameters:
  `status` - the associated status code

### ExitStatusException

    public ExitStatusException(java.lang.String msg,
                               int status)

  Constructs an `ExitStatusException`.

Parameters:
  `msg` - the associated message
  `status` - the associated status code

Method Detail

### getStatus

    public int getStatus()

  Get the status code.

  Returns:
    `int`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.